<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.ss.usermodel.Row (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.ss.usermodel.Row (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/Row.html"
               target="_top">Frames</a></li>
        <li><a href="Row.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.ss.usermodel.Row" class="title">Uses of Interface<br>org.apache.poi.ss.usermodel.Row
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Row</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.util">org.apache.poi.ss.util</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                   title="interface in org.apache.poi.ss.usermodel">Row</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFRow</a></span></code>
                                <div class="block">High level representation of a row of a spreadsheet.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html#iterator--">iterator</a></span>()</code>
                                <div class="block">Alias for <a
                                        href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html#rowIterator--"><code>HSSFSheet.rowIterator()</code></a>
                                    to allow
                                    foreach loops
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html#rowIterator--">rowIterator</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html#removeRow-org.apache.poi.ss.usermodel.Row-">removeRow</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;row)</code>
                                <div class="block">Remove a row from this sheet.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                   title="interface in org.apache.poi.ss.usermodel">Row</a> in <a
                            href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                          title="interface in org.apache.poi.ss.usermodel">Row</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">Sheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html#createRow-int-">createRow</a></span>(int&nbsp;rownum)</code>
                                <div class="block">Create a new row within the sheet and return the high level
                                    representation
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                          title="interface in org.apache.poi.ss.usermodel">Row</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">Cell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html#getRow--">getRow</a></span>()</code>
                                <div class="block">Returns the Row this cell belongs to</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                          title="interface in org.apache.poi.ss.usermodel">Row</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">Sheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html#getRow-int-">getRow</a></span>(int&nbsp;rownum)</code>
                                <div class="block">Returns the logical row (not physical) 0-based.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">Sheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html#rowIterator--">rowIterator</a></span>()</code>
                                <div class="block">Returns an iterator of the physical rows</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">Sheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html#removeRow-org.apache.poi.ss.usermodel.Row-">removeRow</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;row)</code>
                                <div class="block">Remove a row from this sheet.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                   title="interface in org.apache.poi.ss.usermodel">Row</a> in <a
                            href="../../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CellUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/util/CellUtil.html#getRow-int-org.apache.poi.ss.usermodel.Sheet-">getRow</a></span>(int&nbsp;rowIndex,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                   title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</code>
                                <div class="block">Get a row from the spreadsheet, and create it if it doesn't exist.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CellUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/util/CellUtil.html#createCell-org.apache.poi.ss.usermodel.Row-int-java.lang.String-">createCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;row,
                                int&nbsp;column,
                                java.lang.String&nbsp;value)</code>
                                <div class="block">Create a cell, and give it a value.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CellUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/util/CellUtil.html#createCell-org.apache.poi.ss.usermodel.Row-int-java.lang.String-org.apache.poi.ss.usermodel.CellStyle-">createCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;row,
                                int&nbsp;column,
                                java.lang.String&nbsp;value,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                   title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                <div class="block">Creates a cell, gives it a value, and applies a style if provided
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CellUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/util/CellUtil.html#getCell-org.apache.poi.ss.usermodel.Row-int-">getCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;row,
                                int&nbsp;columnIndex)</code>
                                <div class="block">Get a specific cell from a row.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.streaming">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                   title="interface in org.apache.poi.ss.usermodel">Row</a> in <a
                            href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFRow.html"
                                    title="class in org.apache.poi.xssf.streaming">SXSSFRow</a></span></code>
                                <div class="block">Streaming version of XSSFRow implementing the "BigGridDemo"
                                    strategy.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                          title="interface in org.apache.poi.ss.usermodel">Row</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFCell.html#getRow--">getRow</a></span>()</code>
                                <div class="block">Returns the Row this cell belongs to</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFSheet.html#iterator--">iterator</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFSheet.html#rowIterator--">rowIterator</a></span>()</code>
                                <div class="block">Returns an iterator of the physical rows</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SXSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFSheet.html#removeRow-org.apache.poi.ss.usermodel.Row-">removeRow</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;row)</code>
                                <div class="block">Remove a row from this sheet.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                   title="interface in org.apache.poi.ss.usermodel">Row</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFRow</a></span></code>
                                <div class="block">High level representation of a row of a spreadsheet.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#iterator--">iterator</a></span>()</code>
                                <div class="block">Alias for <a
                                        href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#rowIterator--"><code>XSSFSheet.rowIterator()</code></a>
                                    to
                                    allow foreach loops
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#rowIterator--">rowIterator</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFRow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#copyRowFrom-org.apache.poi.ss.usermodel.Row-org.apache.poi.ss.usermodel.CellCopyPolicy-">copyRowFrom</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;srcRow,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                   title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a>&nbsp;policy)</code>
                                <div class="block">Copy the cells from srcRow to this row
                                    If this row is not a blank row, this will merge the two rows, overwriting
                                    the cells in this row with the cells in srcRow
                                    If srcRow is null, overwrite cells in destination row with blank values, styles, etc
                                    per cell copy policy
                                    srcRow may be from a different sheet in the same workbook
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#removeRow-org.apache.poi.ss.usermodel.Row-">removeRow</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                    title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;row)</code>
                                <div class="block">Remove a row from this sheet.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Method parameters in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> with type arguments of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#copyRows-java.util.List-int-org.apache.poi.ss.usermodel.CellCopyPolicy-">copyRows</a></span>(java.util.List&lt;?
                                extends <a href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
                                           title="interface in org.apache.poi.ss.usermodel">Row</a>&gt;&nbsp;srcRows,
                                int&nbsp;destStartRow,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                   title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a>&nbsp;policy)</code>
                                <div class="block">copyRows rows from srcRows to this sheet starting at destStartRow

                                    Additionally copies merged regions that are completely defined in these
                                    rows (ie.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/Row.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/Row.html"
               target="_top">Frames</a></li>
        <li><a href="Row.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
